• Documentation
  • API Reference
Information
Reviews
    Retrieve a reviewgetRetrieve all reviewsgetCreate a reviewpostList redline evaluations for a reviewgetRetrieve a single redline evaluationgetUpdate a redline evaluationpatchList flag violations for a reviewgetRetrieve a single flag violationgetUpdate a flag violationpatchDownload review bundle (ZIP)getDownload review audit documentgetDownload processed (redlined) contractgetDownload original uploaded contractget
Imported Files
    List imported filesget
Playbooks
    Retrieve all playbooksgetCreate a playbookpostRetrieve a playbookgetArchive a playbookdeleteUpdate a playbookpatch
Playbook Rules
    List playbook rulesgetCreate a playbook rulepostRetrieve a playbook rulegetDelete a playbook ruledeleteUpdate a playbook rulepatch
Invitations
    List invitationsgetCreate an invitationpostRetrieve an invitationget
Organization
    List organizationsgetRetrieve organizationgetUpdate organizationpatch
MCP
    MCP Serverpost
Schemas
powered by Zuplo
Gerri API
Gerri API

Playbooks

Endpoints for listing and retrieving playbooks for the current organization.


Retrieve all playbooks

GET
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/playbooks

Lists all playbooks for the current organization.

Retrieve all playbooks › path Parameters

organization_id
​string · uuid · required

Organization id

Retrieve all playbooks › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Retrieve all playbooks › Responses

200

A list of playbooks for the organization

PlaybooksListResponse
​PlaybookResource[] · required
GET/v1/organizations/{organization_id}/playbooks
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/playbooks \ --header 'Authorization: Bearer <token>'
Example Responses
{ "data": [ { "id": "e19796c2-26c7-413f-bb8b-4f141a539db9", "type": "playbook", "attributes": { "id": "e19796c2-26c7-413f-bb8b-4f141a539db9", "created_at": "2026-04-09T13:53:17.095Z", "description": "This is a sample set of playbook rules. Adjust the...", "name": "Company Playbook", "organization_id": "79d7ae9b-9499-4c36-af51-8a87e13ab74e", "updated_at": "2026-04-09T13:53:17.095Z" } }, { "id": "f65384c1-f34a-4052-9133-ceb1a9ca7a68", "type": "playbook", "attributes": { "id": "f65384c1-f34a-4052-9133-ceb1a9ca7a68", "created_at": "2026-04-29T14:14:03.458Z", "description": "", "name": "Company Playbook 2", "organization_id": "79d7ae9b-9499-4c36-af51-8a87e13ab74e", "updated_at": "2026-04-29T14:14:03.581Z" } } ] }
json
application/json

Create a playbook

POST
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/playbooks

Creates a new playbook for the current organization. name is required; description is optional.

Create a playbook › path Parameters

organization_id
​string · uuid · required

Organization id

Create a playbook › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Create a playbook › Request Body

CreatePlaybookBody
name
​string · required

Name for the new playbook.

description
​string

Optional description for the new playbook.

Create a playbook › Responses

Playbook created; returns the new playbook resource

PlaybookResponse
​PlaybookResource · required
POST/v1/organizations/{organization_id}/playbooks
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/playbooks \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "name": "Company Playbook" }'
Example Request Body
{ "name": "Company Playbook" }
json
application/json
Example Responses
{ "data": { "id": "e19796c2-26c7-413f-bb8b-4f141a539db9", "type": "playbook", "attributes": { "id": "e19796c2-26c7-413f-bb8b-4f141a539db9", "created_at": "2026-04-30T15:00:00.000Z", "description": "This is a sample set of playbook rules. Adjust the...", "name": "Company Playbook", "organization_id": "79d7ae9b-9499-4c36-af51-8a87e13ab74e", "updated_at": "2026-04-30T15:00:00.000Z" } } }
json
application/json

Retrieve a playbook

GET
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/playbooks/{playbook_id}

Shows one playbook for the current organization (by id).

Retrieve a playbook › path Parameters

organization_id
​string · uuid · required

Organization id

playbook_id
​string · uuid · required

Playbook id

Retrieve a playbook › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Retrieve a playbook › Responses

A single playbook

PlaybookResponse
​PlaybookResource · required
GET/v1/organizations/{organization_id}/playbooks/{playbook_id}
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/playbooks/:playbook_id \ --header 'Authorization: Bearer <token>'
Example Responses
{ "data": { "id": "e19796c2-26c7-413f-bb8b-4f141a539db9", "type": "playbook", "attributes": { "id": "e19796c2-26c7-413f-bb8b-4f141a539db9", "created_at": "2026-04-09T13:53:17.095Z", "description": "This is a sample set of playbook rules. Adjust the...", "name": "Company Playbook", "organization_id": "79d7ae9b-9499-4c36-af51-8a87e13ab74e", "updated_at": "2026-04-09T13:53:17.095Z" } } }
json
application/json

Archive a playbook

DELETE
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/playbooks/{playbook_id}

Archives one playbook for the current organization (by id).

Archive a playbook › path Parameters

organization_id
​string · uuid · required

Organization id

playbook_id
​string · uuid · required

Playbook id

Archive a playbook › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Archive a playbook › Responses

Playbook archived; no content returned

No data returned
DELETE/v1/organizations/{organization_id}/playbooks/{playbook_id}
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/playbooks/:playbook_id \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Update a playbook

PATCH
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/playbooks/{playbook_id}

Updates the name and/or description of a single playbook. Send only the fields you want to change.

Update a playbook › path Parameters

organization_id
​string · uuid · required

Organization id

playbook_id
​string · uuid · required

Playbook id

Update a playbook › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Update a playbook › Request Body

PatchPlaybookBody
name
​string

New name for the playbook.

description
​string

New description for the playbook.

Update a playbook › Responses

Updated playbook

PlaybookResponse
​PlaybookResource · required
PATCH/v1/organizations/{organization_id}/playbooks/{playbook_id}
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/playbooks/:playbook_id \ --request PATCH \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "name": "Updated Playbook Name" }'
Example Request Body
{ "name": "Updated Playbook Name" }
json
application/json
Example Responses
{ "data": { "id": "e19796c2-26c7-413f-bb8b-4f141a539db9", "type": "playbook", "attributes": { "id": "e19796c2-26c7-413f-bb8b-4f141a539db9", "created_at": "2026-04-09T13:53:17.095Z", "description": "Revised set of playbook rules for Q3.", "name": "Updated Playbook Name", "organization_id": "79d7ae9b-9499-4c36-af51-8a87e13ab74e", "updated_at": "2026-04-29T15:00:00.000Z" } } }
json
application/json

Imported FilesPlaybook Rules